#   ------------------------------------------------------------------------------------------------
#   File: vdb-rpm-macros.spec
#   Copyright 🄯 2021 Van de Bugger.
#   SPDX-License-Identifier: FSFAP
#   ------------------------------------------------------------------------------------------------

Source0:        vdb.lua
%include        %{S:0}

Name:           vdb-rpm-macros
Version:        0.0.2
Release:        0.vdb.1%{?dist}
URL:            https://example.org/
Summary:        Lua functions used in VdB RPMs
License:        GPL-3.0-or-later
BuildArch:      noarch

Source1:        harness.lua
Source2:        tests.lua

BuildRequires:  rpm >= 4.11.4    %{rem: rpm 4.11.3 fails few tests.}
Requires:       rpm >= 4.11.4

%description
TODO

%include        %{S:1}
%include        %{S:2}

%prep
# Do nothing.

%build
# Do nothing.

%install
%{_install_D} -m u=rw,go=r %{S:0} %{buildroot}%{_rpmluadir}/vdb.lua

%check
: ------------------------------
: $tests_total tests run
: $tests_passed tests passes
: $tests_failed tests failed
: ------------------------------
if (( $tests_failed > 0 )); then
    cat %{_topdir}/tests.log
fi
(( $tests_total > 0 ))
(( $tests_passed + $tests_failed == $tests_total ))
(( $tests_failed == 0 ))

%files
%{_rpmluadir}/vdb.lua

%changelog

* Tue Mar 18 2025 Van de Bugger - 0.0.2-0.vdb.1
- Test-only spec converted to real package.
- Many changes in vdb.lua.

* Sun Nov  7 2021 Van de Bugger - 0.0.1-0.vdb.1
- Initial release.
